Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041293
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformtrivialhave not tried2019-07-05 10:302019-08-22 14:44
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revision100f2a2dfc5e
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041293: apply HQL style guide to ADTreeDatasourceService

DescriptionApply HQL style guide to ADTreeDatasourceService
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00412393.0PR19Q4 closedalostale ADTreeDatasourceService.{getNodeChildenQuery,nodeHasChildren, nodeConformsToWhereClause) are not using bind-params 
blocks design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 

-  Notes
(0113195)
hgbot (developer)
2019-07-05 10:34

Repository: erp/devel/pi
Changeset: 100f2a2dfc5e40138a339a73c703b36bd1e47cdb
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Jul 03 13:55:29 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/100f2a2dfc5e40138a339a73c703b36bd1e47cdb [^]

fixed bug 41293: HQL style in ADTreeDatasourceService

  Don't use StringBuilder for String concatenation
  Some other small changes

---
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/ADTreeDatasourceService.java
---
(0113515)
AugustoMauch (developer)
2019-07-18 13:38

Code reviewed and verified
(0114136)
hudsonbot (developer)
2019-08-22 14:44

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-07-05 10:30 alostale New Issue
2019-07-05 10:30 alostale Assigned To => platform
2019-07-05 10:30 alostale Modules => Core
2019-07-05 10:30 alostale Triggers an Emergency Pack => No
2019-07-05 10:31 alostale Review Assigned To => AugustoMauch
2019-07-05 10:31 alostale Assigned To platform => alostale
2019-07-05 10:31 alostale Relationship added blocks 0041287
2019-07-05 10:34 hgbot Checkin
2019-07-05 10:34 hgbot Note Added: 0113195
2019-07-05 10:34 hgbot Status new => resolved
2019-07-05 10:34 hgbot Resolution open => fixed
2019-07-05 10:34 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/100f2a2dfc5e40138a339a73c703b36bd1e47cdb [^]
2019-07-09 08:47 alostale Relationship added related to 0041239
2019-07-18 13:38 AugustoMauch Note Added: 0113515
2019-07-18 13:38 AugustoMauch Status resolved => closed
2019-07-18 13:38 AugustoMauch Fixed in Version => 3.0PR19Q4
2019-08-22 14:44 hudsonbot Checkin
2019-08-22 14:44 hudsonbot Note Added: 0114136


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker